Name:           ocaml-sexplib
Version:        4.2.17
Release:        %mkrel 1
Summary:        OCaml library for converting OCaml values to S-expressions

Group:          Development/Other
License:        LGPLv2+ with exceptions and BSD
URL:            http://www.ocaml.info/home/ocaml_sources.html#sexplib310
Source0:        http://hg.ocaml.info/release/sexplib310/archive/sexplib310-release-%{version}.tar.bz2
# curl http://hg.ocaml.info/release/sexplib310/archive/release-%{version}.tar.bz2 > sexplib310-release-${version}.tar.bz2
Patch0:         sexplib-4.0.1-unix-fix.patch
Patch1:         sexplib-lib_test-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv >= 1.6.1
BuildRequires:  camlp4
BuildRequires:  dos2unix

Requires:       ocaml-type-conv

%description
This library contains functionality for parsing and pretty-printing
S-expressions. In addition to that it contains an extremely useful
preprocessing module for Camlp4, which can be used to automatically
generate code from type definitions for efficiently converting
OCaml-values to S-expressions and vice versa. In combination with the
parsing and pretty-printing functionality this frees users from having
to write their own I/O-routines for datastructures they
define. Possible errors during automatic conversions from
S-expressions to OCaml-values are reported in a very human-readable
way. Another module in the library allows you to extract and replace
sub-expressions in S-expressions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n sexplib310-release-%{version}
%patch0 -p1
# lib_test is used by check and test is installed with a patched Makefile
cp -R lib_test test
%patch1 -p0
dos2unix LICENSE.Tywith

%build
make

%check
./lib_test/conv_test
./lib_test/sexp_test < lib_test/test.sexp

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE LICENSE.Tywith
%{_libdir}/ocaml/sexplib
%exclude %{_libdir}/ocaml/sexplib/*.a
%exclude %{_libdir}/ocaml/sexplib/*.cmxa
%exclude %{_libdir}/ocaml/sexplib/*.mli
%exclude %{_libdir}/ocaml/sexplib/*.ml

%files devel
%defattr(-,root,root,-)
%doc LICENSE LICENSE.Tywith COPYRIGHT README.txt
%doc test/
%{_libdir}/ocaml/sexplib/*.a
%{_libdir}/ocaml/sexplib/*.cmxa
%{_libdir}/ocaml/sexplib/*.mli
%{_libdir}/ocaml/sexplib/*.ml



%changelog
* Fri Mar 26 2010 Florent Monnier <blue_prawn@mandriva.org> 4.2.17-1mdv2010.1
+ Revision: 527572
- updated to version 4.2.17

* Tue Sep 22 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-2mdv2010.0
+ Revision: 447089
- rebuild

* Mon Sep 21 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-1mdv2010.0
+ Revision: 446942
- new version
- rebuild
- rebuild
- new version

* Sat Sep 12 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-2mdv2010.0
+ Revision: 438544
- added Requires: ocaml-type-conv
- install some sample files

* Thu Aug 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-1mdv2010.0
+ Revision: 410923
- updated version

* Tue Jul 28 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.11-1mdv2010.0
+ Revision: 401368
- updated version

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.2.10-2mdv2010.0
+ Revision: 390538
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.10-1mdv2010.0
+ Revision: 379084
- updated version
- updated version
- The initial RPM release was made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.2-1mdv2009.1
+ Revision: 326265
- import ocaml-sexplib


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 4.2.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-sexplib/
# taken spec file rev 1.4 and patch rev 1.1
